| Stan Math Library 2.6.3 probability, sampling & optimization

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerator Friends Macros
Public Types | List of all members
Eigen::internal::scalar_product_traits< double, stan::math::var > Struct Template Reference

Scalar product traits override for Eigen for automatic gradient variables. More...

`#include <Eigen_NumTraits.hpp>`

## Public Types
typedef stan::math::var | ReturnType

## Detailed Description

### template<>
struct Eigen::internal::scalar_product_traits< double, stan::math::var >

Scalar product traits override for Eigen for automatic gradient variables.

Definition at line 119 of file Eigen_NumTraits.hpp.

## Member Typedef Documentation

typedef stan::math::var Eigen::internal::scalar_product_traits< double, stan::math::var >::ReturnType

Definition at line 120 of file Eigen_NumTraits.hpp.

The documentation for this struct was generated from the following file:

- stan/math/rev/mat/fun/Eigen_NumTraits.hpp

[ Stan Home Page ] © 2011–2015, Stan Development Team.